% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/chartreview.r
\name{stoppingcriterion}
\alias{stoppingcriterion}
\title{Different options for the stopping criterion}
\usage{
stoppingcriterion(ci, stopCI, stoppingoption = 2)
}
\arguments{
\item{ci}{Confidence interval as tuple vector.}

\item{stopCI}{Either a confidence interval for stoppingoption=1 and stoppingoption=2, or a scalar for stoppingoption=3.}

\item{stoppingoption}{Option to determine if the stopping criterion is satisfied (1 for confidence interval included in stopCI, 2 for upper bound below or lower bound above stopCI, 3 for length restriction on confidence interval).}
}
\value{
Boolean answer if stopping criterion reached.
}
\description{
Different options for the stopping criterion
}
\examples{
require(chartreview)
stoppingcriterion(c(0.5,0.6), c(0.7,0.8), stoppingoption=1)

}
\references{
.
}
